Subject: RE: [Enum] Fwd: I-D ACTION:draft-livingood-shockey-enum-npd-00.txt

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 25 Jul 2005 20:22:34 -0400

Agree completely.  I think I hinted at the idea that the E.164 number
could terminate in either the IP domain or TDM domain and still be
included in ENUM.

My concern about tying too tightly to NP was when I heard suggestion in
other fora that ENUM add things like CLLI codes and other TDM elements,
as well as anchoring ENUM to NP administrative processes.  I may have
misunderstood what was proposed, but it seemed headed in the wrong
direction.

Mike

> -----Original Message-----
> From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] On 
> Behalf Of Livingood, Jason
> Sent: Monday, July 25, 2005 3:50 PM
> To: Michael Hammer (mhammer); Richard Shockey
> Cc: enum at ietf.org; Stastny Richard
> Subject: RE: [Enum] Fwd: I-D 
> ACTION:draft-livingood-shockey-enum-npd-00.txt
> 
> Replies inline below.
> 
> > I suspect that some 20 years in the future we will have something 
> > called the PSTN, but it will not look anything like the TDM 
> network.  
> > My only goal here is to not assume that the number portability 
> > databases and processes will automatically become the ENUM 
> databases 
> > and processes.
> > As a result, I start with the assumption that number portability is 
> > purely a TDM mechanism that affect routing in the TDM domain.  But, 
> > then acknowledge that certain information may bleed over 
> and be acted 
> > on in the IP domain.
> 
> This is probably a fair assumption to make.  However, simply 
> because the endpoints may not be IP-based, does not mean that 
> the data/addressing cannot be queried for over IP or that 
> such data can be distributed via IP networks.
> 
> The motivation on my part grew out of a desire to consolidate 
> both on-net and off-net TN lookups into a single DNS query 
> that hits my ENUM server.  Some vendors are (creatively) 
> starting to propose methods of doing so (to carriers at 
> least) that are vendor-specific (aka proprietary).  As a 
> service provider, I have an interest in trying to standardize 
> this so that I have more potential software providers to 
> choose from, more competition, innovation, etc.  I then have 
> a open standards-based method for querying for any addressing 
> info associated with both on-net and off-net TNs 
> (not-IP-based, or not IP-based that I can route to), as well 
> as distributing such data around my IP network, etc. since it 
> all uses DNS and ENUM.
> 
> > But, there have been others that have suggested that 
> somehow the ENUM 
> > registration change needs to be dependent on the number portability 
> > change, and I don't think that is necessary.  If ENUM can 
> do it in one 
> > day, while NP takes several weeks, no sense in anchoring ENUM down.
> 
> This should not in any way slow down or conflict with various 
> national NP processes.  
> 
> Jason Livingood
> 
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Ray Anderson <[email-masked]>
Date: Tue, 26 Jul 2005 04:23:01 -0400

At 01:22 26/07/2005, Michael Hammer \(mhammer\) wrote:
Agree completely.  I think I hinted at the idea that the E.164 number
could terminate in either the IP domain or TDM domain and still be
included in ENUM.
Just for clarity, there will be ENUM's (E.164 numbers) that DO NOT
terminate in either IP or TDM domains.  They are used purely for
"non-voice" purposes, and allocated by an E.164 "delegator" for
such purposes.